Subject: format-patch: why are the Range-diff: and Interdiff: headers translated?

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 23 Sep 2025 18:53:04 +0200

git-format-patch(1) has had translated strings for `Range-diff:` and
`Interdiff:` since they were introduced.[1][2][3]

    // Example
    _("Interdiff against v%d: ...

Is that how translated/l10n Git is supposed to to work?  I get
translating errors and such—that’s for the user.  But a Colombian user
might send out patches to an international email list.  Why should their
own translated UI (again, if I’m understanding l10n correctly) affect
the patch output?

I found no comments on these changes.

🔗 1: https://lore.kernel.org/git/[email-masked]/#t
† 2: 688cb1c9 (Merge branch 'es/format-patch-interdiff', 2018-09-17)
† 3: 881c019e (Merge branch 'es/format-patch-rangediff', 2018-09-17)

-- 
Kristoffer